import {__decorate,__param,__metadata}from'tslib';import {inject}from'inversify';import {BaseService}from'@common-stack/store-mongo';import {TYPES}from'../constants/types.js';let StateService = class StateService extends BaseService {
    constructor(repository) {
        super(repository);
    }
};
StateService = __decorate([
    __param(0, inject(TYPES.StateRepository)),
    __metadata("design:paramtypes", [Object])
], StateService);export{StateService};